summaryrefslogtreecommitdiffstats
path: root/test/mtest
diff options
context:
space:
mode:
Diffstat (limited to 'test/mtest')
-rwxr-xr-xtest/mtest38
1 files changed, 38 insertions, 0 deletions
diff --git a/test/mtest b/test/mtest
new file mode 100755
index 0000000..2a3ed38
--- /dev/null
+++ b/test/mtest
@@ -0,0 +1,38 @@
+#!/bin/sh
+format=$2
+mkdir -p results
+# multiple rules at the same time
+
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+
+/bin/cp /dev/null results/$1
+
+../ipftest -F $format -Rbr regress/$1 -i input/$1 > results/$1
+if [ $? -ne 0 ] ; then
+ exit 1
+fi
+echo "--------" >> results/$1
+
+cmp expected/$1 results/$1
+status=$?
+if [ $status -ne 0 ] ; then
+ exit $status
+fi
+cmp expected/$1 results/$1
+status=$?
+if [ $status -ne 0 ] ; then
+ exit $status
+fi
+$TOUCH $1
+exit 0
OpenPOWER on IntegriCloud